=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CFLAGS_MAINT_APPEND  = -fPIC
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH),mipsel mips64el))
	DFP_CONFIG_OPTION=-DMONGOCRYPT_ENABLE_DECIMAL128=OFF
else
	DFP_CONFIG_OPTION=-DMONGOCRYPT_DFP_DIR=USE-SYSTEM
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -B$(CURDIR)/cmake-build -- \
	-DBUILD_VERSION=$(DEB_VERSION_UPSTREAM) \
	-DUSE_SHARED_LIBBSON=ON \
	-DMONGOCRYPT_MONGOC_DIR=USE-SYSTEM \
	-DENABLE_ONLINE_TESTS=OFF \
	$(DFP_CONFIG_OPTION) \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_build:
	dh_auto_build -B$(CURDIR)/cmake-build -- all

override_dh_auto_install:
	dh_auto_install -B$(CURDIR)/cmake-build

override_dh_missing:
	dh_missing --fail-missing
