## libmongocrypt 1.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,13 +78,13 @@
       )
 endif ()
 
-find_package (Threads REQUIRED)
-
 add_subdirectory (bindings/cs)
 
 include (GenerateExportHeader)
 
 include (CTest)
+include (Platform)
+
 
 set (MONGOCRYPT_PUBLIC_HEADERS
    src/mongocrypt-compat.h
@@ -99,11 +99,17 @@
    src/mc-array.c
    src/mc-efc.c
    src/mc-fle2-find-range-payload.c
+   src/mc-fle2-find-range-payload-v2.c
    src/mc-fle2-insert-update-payload.c
+   src/mc-fle2-insert-update-payload-v2.c
    src/mc-fle2-encryption-placeholder.c
    src/mc-fle2-find-equality-payload.c
+   src/mc-fle2-find-equality-payload-v2.c
    src/mc-fle2-payload-iev.c
+   src/mc-fle2-payload-iev-v2.c
    src/mc-fle2-payload-uev.c
+   src/mc-fle2-payload-uev-common.c
+   src/mc-fle2-payload-uev-v2.c
    src/mc-fle2-rfds.c
    src/mc-range-edge-generation.c
    src/mc-range-mincover.c
@@ -111,6 +117,7 @@
    src/mc-rangeopts.c
    src/mc-reader.c
    src/mc-tokens.c
+   src/mc-writer.c
    src/mongocrypt-binary.c
    src/mongocrypt-buffer.c
    src/mongocrypt-cache.c
@@ -270,26 +277,15 @@
    PUBLIC
       "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/src>"
    )
-include (TestBigEndian)
-TEST_BIG_ENDIAN (MONGOCRYPT_BIG_ENDIAN)
-if (MONGOCRYPT_BIG_ENDIAN)
-   message ("Detected byte order: big endian")
-   list (APPEND MONGOCRYPT_DEFINITIONS MONGOCRYPT_BIG_ENDIAN)
-else ()
-   message ("Detected byte order: little endian")
-   list (APPEND MONGOCRYPT_DEFINITIONS MONGOCRYPT_LITTLE_ENDIAN)
-endif ()
-target_compile_definitions (mongocrypt PRIVATE ${MONGOCRYPT_DEFINITIONS})
 target_link_libraries (
    mongocrypt
    PRIVATE
       _mongocrypt::libbson_for_shared
-      Threads::Threads
       kms_message_static
       $<BUILD_INTERFACE:mongo::mlib>
    PUBLIC
+      mongocrypt::platform
       ${maybe_dfp_library}
-      ${CMAKE_DL_LIBS}
    )
 
 if (NOT USE_SHARED_LIBBSON)
@@ -333,10 +329,17 @@
    )
 target_compile_definitions (
    mongocrypt_static
-   PRIVATE
-      ${MONGOCRYPT_DEFINITIONS}
    PUBLIC
       MONGOCRYPT_STATIC_DEFINE
       KMS_MSG_STATIC
    )
 target_link_libraries (
+   mongocrypt_static
+   PRIVATE
+      _mongocrypt::libbson_for_static
+      kms_message_static
+      $<BUILD_INTERFACE:mongo::mlib>
+   PUBLIC
+      mongocrypt::platform
+      ${maybe_dfp_library}
+   )
