=== debian/changelog ===
libmongocrypt (1.8.4-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:17:06 +0000

libmongocrypt (1.8.4-1build2) noble; urgency=medium

  * No-change rebuild against libbson-1.0-0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 18:22:00 +1300

libmongocrypt (1.8.4-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:25:07 +0000

libmongocrypt (1.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Kyle Kloberdanz <kyle.kloberdanz@mongodb.com>  Wed, 03 Jan 2024 10:37:26 -0600

libmongocrypt (1.8.2-1) unstable; urgency=medium

  [ Roberto C. Sanchez ]
  * fix clean target (Closes: #1047944)
  * debian/rules: skip tests

  [ Kyle Kloberdanz ]
  * New upstream release.

 -- Kyle Kloberdanz <kyle.kloberdanz@mongodb.com>  Wed, 06 Sep 2023 13:10:31 +0000
