=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libmongocrypt
 Priority: optional
-Maintainer: Mongo C Driver Team <mongo-c-driver-debian@googlegroups.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mongo C Driver Team <mongo-c-driver-debian@googlegroups.com>
 Uploaders: Kevin Albertson <kevin.albertson@mongodb.com>,
            Roberto C. Sanchez <roberto@connexer.com>,
            Kyle Kloberdanz <kyle.kloberdanz@mongodb.com>
