## libmongocrypt 1.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,12 @@
    ON
 )
 option (ENABLE_BUILD_FOR_PPA "Maintainer-only option for preparing PPA build" OFF)
-option (ENABLE_ONLINE_TESTS "Enable online tests and the csfle utility" ON)
+option (ENABLE_ONLINE_TESTS "Enable online tests and the csfle utility. Requires libmongoc." ON)
+# TODO MONGOCRYPT-661 When range V2 is default, remove this option.
+option (ENABLE_USE_RANGE_V2 "Enable the use_range_v2 flag by default for queryable encryption" OFF)
+if (ENABLE_USE_RANGE_V2)
+   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DQE_USE_RANGE_V2")
+endif ()
 
 if (ENABLE_WINDOWS_STATIC_RUNTIME)
    if (POLICY CMP0091)
@@ -69,6 +74,7 @@
       msvc:/W3 msvc:/WX msvc:/wd4996 msvc:/wd4359
       gnu-like:-Wall gnu-like:-Werror
       gnu-like:-Wswitch-enum gnu-like:-Wswitch-default
+      gnu-like:-Wsign-compare
       )
    add_link_options (
       # Enable link-time warnings. VS 2015 sees LNK4099 spuriously, but it is a
@@ -330,16 +336,3 @@
 target_compile_definitions (
    mongocrypt_static
    PUBLIC
-      MONGOCRYPT_STATIC_DEFINE
-      KMS_MSG_STATIC
-   )
-target_link_libraries (
-   mongocrypt_static
-   PRIVATE
-      _mongocrypt::libbson_for_static
-      kms_message_static
-      $<BUILD_INTERFACE:mongo::mlib>
-   PUBLIC
-      mongocrypt::platform
-      ${maybe_dfp_library}
-   )
