=== debian/changelog ===
libmongocrypt (1.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Vcs-* links in debian/control (Closes: #1072880)
  * Update to Standards-Version 4.7.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 26 Jun 2024 20:50:45 -0400

libmongocrypt (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Kyle Kloberdanz <kyle.kloberdanz@mongodb.com>  Wed, 01 May 2024 14:45:37 -0500

libmongocrypt (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Kyle Kloberdanz <kyle.kloberdanz@mongodb.com>  Mon, 18 Mar 2024 10:14:55 -0500
