=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libmongocrypt
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mongo C Driver Team <mongo-c-driver-debian@googlegroups.com>
+Maintainer: Mongo C Driver Team <mongo-c-driver-debian@googlegroups.com>
 Uploaders: Kevin Albertson <kevin.albertson@mongodb.com>,
            Roberto C. Sanchez <roberto@connexer.com>,
            Kyle Kloberdanz <kyle.kloberdanz@mongodb.com>
 Build-Depends: debhelper (>= 10),
                cmake,
                libssl-dev,
-               pkg-config,
+               pkgconf,
                libintelrdfpmath-dev (>= 2.0u2-6) [!mips64el !mipsel],
                libbson-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/mongodb/libmongocrypt
+Vcs-Git: https://github.com/mongodb/libmongocrypt.git
+Vcs-Browser: https://github.com/mongodb/libmongocrypt/tree/debian/unstable
 
 Package: libmongocrypt-dev
 Section: libdevel
