## libmongocrypt 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -82,8 +82,6 @@
       "$<IF:$<C_COMPILER_ID:MSVC>,/WX;/ignore:4217;/ignore:4049;/ignore:4099,-Werror>"
       )
 endif ()
-
-add_subdirectory (bindings/cs)
 
 include (GenerateExportHeader)
 
@@ -116,6 +114,7 @@
    src/mc-fle2-payload-uev-common.c
    src/mc-fle2-payload-uev-v2.c
    src/mc-fle2-rfds.c
+   src/mc-fle2-tag-and-encrypted-metadata-block.c
    src/mc-range-edge-generation.c
    src/mc-range-mincover.c
    src/mc-range-encoding.c
@@ -343,4 +342,3 @@
    PRIVATE
       _mongocrypt::libbson_for_static
       kms_message_static
-      $<BUILD_INTERFACE:mongo::mlib>
