=== debian/changelog ===
libmongocrypt (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 12 Nov 2024 11:40:46 -0500
