## libmongocrypt 1.13.0

=== debian/changelog ===
libmongocrypt (1.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 26 Mar 2025 11:19:49 -0400
