## libmongocrypt 1.13.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -120,6 +120,9 @@
    src/mc-range-encoding.c
    src/mc-rangeopts.c
    src/mc-reader.c
+   src/mc-schema-broker.c
+   src/mc-str-encode-string-sets.c
+   src/mc-text-search-str-encode.c
    src/mc-tokens.c
    src/mc-writer.c
    src/mongocrypt-binary.c
@@ -151,6 +154,9 @@
    src/os_posix/os_mutex.c
    src/os_win/os_dll.c
    src/os_posix/os_dll.c
+   src/unicode/case-fold-map.c
+   src/unicode/diacritic-fold-map.c
+   src/unicode/fold.c
    )
 
 # If MONGOCRYPT_CRYPTO is not set, choose a system default.
@@ -334,11 +340,3 @@
 target_compile_definitions (
    mongocrypt_static
    PUBLIC
-      MONGOCRYPT_STATIC_DEFINE
-      KMS_MSG_STATIC
-   )
-target_link_libraries (
-   mongocrypt_static
-   PRIVATE
-      _mongocrypt::libbson_for_static
-      kms_message_static
