=== bindings/python/requirements.txt ===
cffi>=1.12.0,<2
cryptography>=40
packaging>=21.0
httpx>=0.25.0
