=== debian/changelog ===
libmongocrypt (1.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 11 Apr 2025 00:41:45 -0400
