=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Priority: optional
 Maintainer: Mongo C Driver Team <mongo-c-driver-debian@googlegroups.com>
 Uploaders: Kevin Albertson <kevin.albertson@mongodb.com>,
-           Roberto C. Sanchez <roberto@connexer.com>,
-           Kyle Kloberdanz <kyle.kloberdanz@mongodb.com>
+           Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends: debhelper (>= 10),
                cmake,
                libssl-dev,
