=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -B$(CURDIR)/cmake-build -- \
+	dh_auto_configure -- \
 	-DBUILD_VERSION=$(DEB_VERSION_UPSTREAM) \
 	-DUSE_SHARED_LIBBSON=ON \
 	-DMONGOCRYPT_MONGOC_DIR=USE-SYSTEM \
@@ -36,11 +36,8 @@
 	$(DFP_CONFIG_OPTION) \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-override_dh_auto_build:
-	dh_auto_build -B$(CURDIR)/cmake-build -- all
-
-override_dh_auto_install:
-	dh_auto_install -B$(CURDIR)/cmake-build
+override_dh_auto_test:
+	echo "Skip dh_auto_test because upstream CI already tests extensively"
 
 override_dh_missing:
 	dh_missing --fail-missing
