=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libmongocrypt-$1.tar.gz%" \
https://github.com/mongodb/libmongocrypt/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
